# Packmangroup: Libraries
# Packmanpackagename: Win32-Codecs
# Packman: Manfred Tremmel
# Packmanpackagedesc: <p>This packages contains the media player windows codec dlls for several multimedia formats</p>
# Packmanpackagedesc_de: <p>Das Paket enth&auml;lt Windows Codec dlls f&uuml;r diverse Multimediaformate</p>

%define name         w32codec-all
%define version      20050216
%define release      0.pm.0

Name:           %name
Summary:        Win32 and other binary Codecs
Summary(de):    Windows 32Bit und andere binäre Codecs
License:        unknown
Group:          Misc
URL:            http://mplayerhq.hu/MPlayer/releases/codecs/
Version:        %{version}
Release:        %{release}

Source0:        all-20050216.tar.bz2

Packager:       Manfred Tremmel <Manfred.Tremmel@iiv.de>
Vendor:         Packman
Distribution:   SuSE Linux 9.3 (i586)
BuildRoot:      /var/tmp/%{name}-%{version}-%{release}
Prefix:         %{_prefix}
Obsoletes:      w32codec
Obsoletes:      win32-codecs
Obsoletes:      win32codecs
Provides:       w32codec
Provides:       win32-codecs
Provides:       win32codecs

%description
Win32 DLLs for decompression of AVI- and also Quicktime-movies.
Contains the dlls from the "all" package.

%description -l de
Windows32 DLLs zum Abspielen von AVI- und Quicktime-Filmen.
Enthält die Dateien aus dem "all" Paket.

%prep

#%setup -n win32codecs-%{version} -q -a 1 -a 2
%setup -n all-%{version}

%build

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_libdir}/win32
cp *.* ${RPM_BUILD_ROOT}%{_libdir}/win32/
#cd qt63dlls-%{version}
#cp *.* ${RPM_BUILD_ROOT}%{_libdir}/win32/
#cd ../qtextras-%{version}
#cp *.* ${RPM_BUILD_ROOT}%{_libdir}/win32/
cd ${RPM_BUILD_ROOT}%{_libdir}
%{__ln_s} win32 codecs

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}

%files
%defattr(644, root, root)
%{_libdir}/win32/*
%{_libdir}/codecs
%defattr(755, root, root)
%dir %{_libdir}/win32/

%changelog
* Thu Feb 17 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to the latest codecs (20050216)
* Sun Jan 16 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to the latest codecs (20050115)
- some cleanups
* Mon Nov 08 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to the latest codecs (20041107)
* Fri Sep 17 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to the latest codecs (20040916)
* Thu Jul 07 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to the latest codecs (20040706)
* Sun Jul 04 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to the latest codecs (20040704)
- switched to "all" package, makes it easier ;-)
* Sun Jun 27 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to the latest codecs
- new versions, using the package date
* Wed Jun 02 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- removed rp9 (it's not used by MPlayer or xine)
- update to the latest codecs
* Sat Apr 12 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- added packman build header
* Fri Feb 07 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Updated of the DLL-Packages
* Wed Dec 25 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Updated version to 0.90
* Sun May 05 2002 Henne Vogelsang <henne@links2linux.de>
- Updated version to 0.60
* Sat Nov 10 2001 Waldemar Brodkorb <waldemar@links2linux.de>
- fixed permissions of some codecs
* Sun Oct 28 2001 Waldemar Brodkorb <waldemar@links2linux.de>
- more dll's found on mplayer-homepage
* Sun Oct 14 2001 Waldemar Brodkorb <waldemar@links2linux.de>
- minor spec enhancements
* Wed Jan 31 2001 Waldemar Brodkorb <waldemar@links2linux.de>
- new upstream, more codecs
* Tue Jan 23 2001 Waldemar Brodkorb <waldemar@links2linux.de>
- first release
